View Bug Details

IDProjectCategoryView StatusLast Update
0000821DCP-o-matic[All Projects] Bugspublic2016-07-04 14:05
ReporterCarsten 
Assigned Tocarl 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformMacOSOS XOS Version10.6
Product Version2.7.0 
Target Version2.8.0Fixed in Version 
Summary0000821: DOM allows to entry and use negative KDM time frames
DescriptionIt is possible to enter a negative time frame in the KDM creation dialog, like

from 03.18.2016 12:00:00 to 03:12:2016 12:00:00

The KDM is created as such:

<ContentKeysNotValidBefore>2016-03-18T12:00:00+11:00</ContentKeysNotValidBefore><ContentKeysNotValidAfter>2016-03-12T12:00:00+11:00</ContentKeysNotValidAfter>

Well, it is the KDM issuers responsibility to NOT do this, but maybe this condition can still be caught with an immediate warning and/or correction?

- Carsten
TagsNo tags attached.
Estimated work requiredAverage

Relationships

Activities

carl

2016-04-22 11:29

administrator   ~0001212

Thanks; fixed in

8031edf0ce27b75727438e504128448b0884b426

which will be in 2.7.14.

Bug History

Date Modified Username Field Change
2016-03-11 21:47 Carsten New Bug
2016-03-12 01:14 carl Status new => acknowledged
2016-03-12 01:14 carl Target Version => 2.8.0
2016-04-22 11:29 carl Note Added: 0001212
2016-04-22 11:29 carl Status acknowledged => resolved
2016-04-22 11:29 carl Resolution open => fixed
2016-04-22 11:29 carl Assigned To => carl